﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Users;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.User;

public class UserRepository : BaseRepository<Users.User>, IUserRepository, IScopeDependency
{
    public UserRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
    {
    }
}