﻿namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 会签模式
/// </summary>
public enum ECountersignMode
{
    /// <summary>
    /// 不支持会签
    /// </summary>
    UnSupport = 0,

    /// <summary>
    /// 立即汇总（在发起会签的当前节点进行汇总才会继续下一节点，无需另行配置汇总节点）
    /// </summary>
    GatherImmediately = 1,

    /// <summary>
    /// 稍后汇总，延迟汇总（不会在会签发起节点进行汇总，汇总节点需单独配置）
    /// </summary>
    GatherLater = 2
}