﻿namespace Hotline.Share.Dtos.FlowEngine;

/// <summary>
/// 审批结果参数
/// </summary>
public class ApproverDto : PreviousDto
{
    /// <summary>
    /// 根据审批者类型不同，此字段为不同内容
    /// <example>
    /// 部门等级/分类为：depCodes, 角色为：userIds
    /// </example>
    /// </summary>
    public List<string> Handlers { get; set; }

    /// <summary>
    /// 下一节点code
    /// </summary>
    public string NextStepCode { get; set; }

    /// <summary>
    /// 是否短信通知
    /// </summary>
    public bool AcceptSms { get; set; }
}