﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine
{
    public class DefinitionDto : UpdateDefinitionDto
    {
        public EDefinitionStatus Status { get; set; }

        public DateTime CreationTime { get; set; }
    }

    public class UpdateDefinitionDto : AddDefinitionDto
    {
        public string Id { get; set; }
    }

    public class AddDefinitionDto
    {
        /// <summary>
        /// 模板名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 模板编码(唯一索引)
        /// </summary>
        public string Code { get; set; }

        public string Description { get; set; }

        public List<StepDto> Steps { get; set; }

        public string ExternalName { get; set; }

        public string ExternalData { get; set; }
    }
}
