﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine
{
    public class StepBasicDto
    {
        public string Name { get; set; }

        /// <summary>
        /// 模板内唯一
        /// </summary>
        public string Code { get; set; }

        public string TypeName { get; init; }

        public EStepType StepType { get; init; }

        /// <summary>
        /// 审批者类型
        /// </summary>
        public EHandlerType HandlerType { get; set; }

        /// <summary>
        /// 审批者分类（或是直接保存处理者）
        /// <example>
        /// 根据类型可能为：roles, depLevels, depTypes, depCodes, userIds
        /// </example>
        /// </summary>
        public List<string> HandlerClassifies { get; set; }

        /// <summary>
        /// 会签模式
        /// </summary>
        public ECountersignMode CountersignMode { get; set; }
    }
}
