﻿using Hotline.CallCenter.Calls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Caches
{
    public interface ICallCacheManager
    {
        IReadOnlyList<Call> GetCallQueueList();

        void AddOrUpdateCallCache(List<Call> list);

        void RemoveCallCache(string id);
    }
}
