﻿
namespace XF.Domain.Entities
{
    public interface IDataPermission
    {
        string OrgId { get; }

        string AutoOrgCode { get; }

        string CreateUserId { get; }

        string AreaId { get; }

        void CreateDataPermission(string orgId,string departmentCode, string creatorId, string? areaId);
    }

    public interface IWorkflow
    {
        string? WorkflowId { get; set; }
        /// <summary>
        /// 指派部门编码
        /// </summary>
        List<string> AssignDepCodes { get; set; }
        List<string> AssignUserIds { get; set; }
    }
}
